Bug 182176 - Layout Test imported/w3c/web-platform-tests/service-workers/service-worker/appcache-ordering-main.https.html is flaky
Summary: Layout Test imported/w3c/web-platform-tests/service-workers/service-worker/ap...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-01-26 10:54 PST by Matt Lewis
Modified: 2018-03-21 14:18 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.64 KB, patch)
2018-01-26 17:08 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lewis 2018-01-26 10:54:00 PST
The following layout test is a flaky timeout on High Sierra WK2

imported/w3c/web-platform-tests/service-workers/service-worker/appcache-ordering-main.https.html

Probable cause:

Currently goes back further that the flakiness dashboard as such, I'm unsure of a regression point for now

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fservice-workers%2Fservice-worker%2Fappcache-ordering-main.https.html

Diff:

--- /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/service-workers/service-worker/appcache-ordering-main.https-expected.txt
+++ /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/service-workers/service-worker/appcache-ordering-main.https-actual.txt
@@ -1,4 +1,5 @@
 CONSOLE MESSAGE: line 1: ApplicationCache is deprecated. Please use ServiceWorkers instead.
+#PID UNRESPONSIVE - com.apple.WebKit.WebContent.Development (pid 85204)
+FAIL: Timed out waiting for notifyDone to be called
 
-FAIL serviceworkers take priority over appcaches assert_unreached: unexpected rejection: assert_false: but serviceworkers should take priority expected false got true Reached unreachable code
-
+#EOF
Comment 1 Radar WebKit Bug Importer 2018-01-26 10:55:21 PST
<rdar://problem/36915685>
Comment 2 youenn fablet 2018-01-26 17:08:27 PST
Created attachment 332435 [details]
Patch
Comment 3 WebKit Commit Bot 2018-01-26 17:43:37 PST
Comment on attachment 332435 [details]
Patch

Clearing flags on attachment: 332435

Committed r227708: <https://trac.webkit.org/changeset/227708>
Comment 4 WebKit Commit Bot 2018-01-26 17:43:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 youenn fablet 2018-01-26 17:54:48 PST
reopened for investigation.
Comment 6 youenn fablet 2018-03-01 22:28:19 PST
Should be fixed by https://bugs.webkit.org/show_bug.cgi?id=183148.
I reactivated the test inadvertently in https://bugs.webkit.org/show_bug.cgi?id=183264 as it was passing locally with the above patch.
Comment 7 Ryan Haddad 2018-03-16 15:53:46 PDT
This test is still a flaky timeout. It seems to time out more frequently on High Sierra.
Comment 8 Ryan Haddad 2018-03-21 14:18:58 PDT
Skipped test again in https://trac.webkit.org/r229827